open Ast 

let () =
  let cols = Columns([
    Column(
      "id",
      Int,
      Values("test"::"test"::[])
    )
  ]) in 
  let headers = get_headers cols in
  assert(headers = ["id"]);

  let cols = Columns(
    Column(
      "id",
      Int,
      Values("test"::"test"::[])
    )::
    Column(
      "name",
      Int,
      Range("1", "2")
    )::[]
  ) in 
  let headers = get_headers cols in
  assert(headers = "id"::"name"::[]);

